%global srcname TGScheduler
%global sum Turbogears2 Scheduler

Name:             python-tgscheduler
Version:          1.7.0
Release:          6%{?dist}
Summary:          %{sum}

Group:            Development/Languages
License:          MIT
URL:              http://pypi.python.org/pypi/%{srcname}
Source0:          http://pypi.python.org/packages/source/T/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python2-devel
BuildRequires:    python2-setuptools
BuildRequires:    python-dateutil
BuildRequires:    python2-six

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-dateutil
BuildRequires:    python3-six

%description
This scheduler package is based on the TurboGears 1 built-in scheduler
which is based on Kronos by Irmen de Jong. The scheduler makes it easy to
have one-time or recurring tasks run as needed.


%package -n python2-%{srcname}
Summary:  %{sum}
Requires:         python-dateutil
Requires:         python2-six
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This scheduler package is based on the TurboGears 1 built-in scheduler
which is based on Kronos by Irmen de Jong. The scheduler makes it easy to
have one-time or recurring tasks run as needed. Python 2 version.


%package -n python3-%{srcname}
Summary:  %{sum}
Requires:         python3-dateutil
Requires:         python3-six
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This scheduler package is based on the TurboGears 1 built-in scheduler
which is based on Kronos by Irmen de Jong. The scheduler makes it easy to
have one-time or recurring tasks run as needed. Python 3 version.


%prep
%setup -q -n %{srcname}-%{version}
%{__rm} -rf TGScheduler.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%doc README.rst

%{python2_sitelib}/tgscheduler
%{python2_sitelib}/%{srcname}-%{version}-*.egg-info


%files -n python3-%{srcname}
%doc README.rst

%{python3_sitelib}/tgscheduler
%{python3_sitelib}/%{srcname}-%{version}-*.egg-info


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.7.0-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 06 2016 Dominika Krejci <dkrejci@redhat.com> - 1.7.0-3
- Add Python 3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Sep 16 2015 Ralph Bean <rbean@redhat.com> - 1.7.0-1
- new version

* Fri Jul 10 2015 Ralph Bean <rbean@redhat.com> - 1.6.3-10
- Remove rhel conditionals now that python-dateutil is modern and we are not.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 27 2012 Ralph Bean <rbean@redhat.com> - 1.6.3-4
- Changed files section to include dirs, not just files.

* Thu Apr 26 2012 Ralph Bean <rbean@redhat.com> - 1.6.3-3
- A little more specific in the files section
- Removed bundled egg-info in the prep section

* Wed Apr 25 2012 Ralph Bean <rbean@redhat.com> - 1.6.3-2
- Require python-dateutil15 on epel

* Wed Apr 25 2012 Ralph Bean <rbean@redhat.com> - 1.6.3-1
- initial package for Fedora

